RENAME(1)

NAMN
rename - byt namn på filer

SYNOPSIS

rename [options] substring replacement file...

BESKRIVNING

rename will rename the specified files by replacing the first occurrence of substring in their name by replacement.

FLAGGOR

-s, --symlink
    Byt inte namn på en symlänk utan ändra vart den pekar.

-v, --verbose
    Visa vilka filer som har bytt namn, om det finns några.

-n, --no-act
    Gör inga ändringar; lägg till --verbose för att se vad som skulle göras.

-a, --all
    Replace all occurrences of substring rather than only the first one.

-l, --last
    Replace the last occurrence of substring rather than the first one.

-o, --no-overwrite
    Skriv inte över befintliga filer. När --symlink är aktiv, skriv inte över symlinks som pekar på befintliga mål.

-i, --interactive
    Fråga innan du skriver över befintliga filer.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

VARNING

Omdöpningen har inga skyddsåtgärder som standard eller utan något av flaggorna --no-overwrite, --interactive eller --no-act. Om användaren har behörighet att skriva om filnamn kommer kommandot att utföra åtgärden utan några frågor. Resultatet kan t.ex. bli ganska drastiskt om kommandot körs som root i katalogen /lib. Gör alltid en säkerhetskopia innan du kör kommandot, såvida du inte verkligen vet vad du gör.

GRÄNSFALL

If substring is empty, then by default replacement will be added to the start of the filename. With --all, replacement will be inserted in between every two characters of the filename, as well as at the start and end.

Normally, only the final path component of a filename is updated. (Or with --symlink, only the final path component of the link.) But if either substring or replacement contains a /, the full path is updated. This can cause a file to be moved between folders. Creating folders, and moving files between filesystems, is not supported.

INTERAKTIVT LÄGE

Som de flesta standardverktyg kan rename användas med en terminalenhet (tty) i kanoniskt läge, där raden buffras av tty och du trycker på ENTER för att validera användarens inmatning. Om du däremot sätter din tty i cbreak-läge kräver rename bara en enda tangenttryckning för att svara på prompten. För att ställa in cbreak-läge kör du till exempel:

    sh -c 'stty -icanon min 1; "$0" "$@"; stty icanon' rename -i from to files

AVSLUTSSTATUS

0
    alla begärda byten av namn var framgångsrika

1
    alla operationer för att byta namn misslyckades

2
    vissa operationer för att byta namn misslyckades

4
    ingenting döptes om

64
    ett oförutsett fel inträffade

EXEMPEL

Med tanke på filerna foo1, ..., foo9, foo10, ..., foo278, kommandona

    rename foo foo00 foo?
    rename foo foo0 foo??

kommer att göra dem till foo001, ..., foo009, foo010, ..., foo278. Och

    rename .htm .html *.htm

kommer att fixa förlängningen av dina html-filer. Ange en tom sträng för förkortning:

    rename '_med_långt_namn' '' fil_med_långt_namn.*

kommer att ta bort delsträngen i filnamnen.

SE ÄVEN

mv(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot rename ingår i paketet util-linux som kan hämtas från